searchNodes=[{"doc":"SupabaseSurface keeps the contexts that define your domain and business logic. Contexts are also responsible for managing your data, regardless if it comes from the database, an external API or others.","ref":"SupabaseSurface.html","title":"SupabaseSurface","type":"module"},{"doc":"","ref":"SupabaseSurface.Catalogue.html","title":"SupabaseSurface.Catalogue","type":"module"},{"doc":"A Surface component that handles auth for Supabase. It uses a Surface hook to parse the tokens that are provided after a successful login in the URI fragment ( {base_url}/login#access_token=user-jwt&amp;refresh_token=user-refresh-jwt ). The tokens are then send to an API endpoint (default: /session ) to set them in the session. This endpoint has to be provided by the user. Session Setup Example defmodule YourSurfaceAppWeb.SessionController do use YourSurfaceAppWeb , :controller def set_session ( conn , %{ &quot;access_token&quot; =&gt; access_token , &quot;refresh_token&quot; =&gt; refresh_token } ) do conn |&gt; put_session ( :access_token , access_token ) |&gt; put_session ( :refresh_token , refresh_token ) |&gt; json ( &quot;ok&quot; ) end end # router.ex scope &quot;/&quot; , YourSurfaceAppWeb do pipe_through ( :api ) post ( &quot;/session&quot; , SessionController , :set_session ) end It currently supports magic link and social providers : Usage Example &lt; Auth redirect_url = &quot;/welcome&quot; magic_link = { { true } } providers = { { [ &quot;google&quot; , &quot;github&quot; ] } } / &gt; Properties id :string, required: true - The id of the live component (required by LiveView for stateful components). . redirect_url :string, default: &quot;/&quot; - URL to redirect to after successful login handled by this component. In case you want to be redirected to a different location by the provider, use provider_redirect_url .. provider_redirect_url :string - URL the provider should redirect after successful authentication. The target location will have to handle the passed token information.. session_url :string, default: &quot;/session&quot; - API endpoint for updating the session with access_token and refresh_token. class :css_class - Classes to apply to the component. magic_link :boolean, default: true - If sign in via magic link should be enabled. providers :list, values: [&quot;google&quot;, &quot;github&quot;, &quot;gitlab&quot;, &quot;bitbucket&quot;, &quot;twitter&quot;, &quot;facebook&quot;] - Providers to use for social auth. password_login :boolean, default: false - Enable login via email plus password.","ref":"SupabaseSurface.Components.Auth.html","title":"SupabaseSurface.Components.Auth","type":"module"},{"doc":"Callback implementation for Phoenix.LiveComponent.mount/1 .","ref":"SupabaseSurface.Components.Auth.html#mount/1","title":"SupabaseSurface.Components.Auth.mount/1","type":"function"},{"doc":"Properties id :string, required: true - The id of the live view. session :map - The request info necessary for the view, such as params, cookie session info, etc. The session is signed and stored on the client, then provided back to the server when the client connects, or reconnects to the stateful view. .","ref":"SupabaseSurface.Components.Auth.Full.html","title":"SupabaseSurface.Components.Auth.Full","type":"module"},{"doc":"Callback implementation for Phoenix.LiveView.mount/3 .","ref":"SupabaseSurface.Components.Auth.Full.html#mount/3","title":"SupabaseSurface.Components.Auth.Full.mount/3","type":"function"},{"doc":"Callback implementation for Phoenix.LiveView.render/1 .","ref":"SupabaseSurface.Components.Auth.Full.html#render/1","title":"SupabaseSurface.Components.Auth.Full.render/1","type":"function"},{"doc":"Properties id :string, required: true - The id of the live view. session :map - The request info necessary for the view, such as params, cookie session info, etc. The session is signed and stored on the client, then provided back to the server when the client connects, or reconnects to the stateful view. .","ref":"SupabaseSurface.Components.Auth.MagicLink.html","title":"SupabaseSurface.Components.Auth.MagicLink","type":"module"},{"doc":"Callback implementation for Phoenix.LiveView.mount/3 .","ref":"SupabaseSurface.Components.Auth.MagicLink.html#mount/3","title":"SupabaseSurface.Components.Auth.MagicLink.mount/3","type":"function"},{"doc":"Callback implementation for Phoenix.LiveView.render/1 .","ref":"SupabaseSurface.Components.Auth.MagicLink.html#render/1","title":"SupabaseSurface.Components.Auth.MagicLink.render/1","type":"function"},{"doc":"Properties id :string, required: true - The id of the live view. session :map - The request info necessary for the view, such as params, cookie session info, etc. The session is signed and stored on the client, then provided back to the server when the client connects, or reconnects to the stateful view. .","ref":"SupabaseSurface.Components.Auth.Social.html","title":"SupabaseSurface.Components.Auth.Social","type":"module"},{"doc":"Callback implementation for Phoenix.LiveView.mount/3 .","ref":"SupabaseSurface.Components.Auth.Social.html#mount/3","title":"SupabaseSurface.Components.Auth.Social.mount/3","type":"function"},{"doc":"Callback implementation for Phoenix.LiveView.render/1 .","ref":"SupabaseSurface.Components.Auth.Social.html#render/1","title":"SupabaseSurface.Components.Auth.Social.render/1","type":"function"},{"doc":"Properties color :string, values: [&quot;gray&quot;, &quot;red&quot;, &quot;yellow&quot;, &quot;green&quot;, &quot;blue&quot;, &quot;indigo&quot;, &quot;purple&quot;, &quot;pink&quot;] - The color for the badge. size :string, values: [&quot;large&quot;, &quot;small&quot;], default: &quot;small&quot; - The size of the badge. dot :boolean, default: false - . Slots default, required: true - Content of the badge.","ref":"SupabaseSurface.Components.Badge.html","title":"SupabaseSurface.Components.Badge","type":"module"},{"doc":"Callback implementation for Phoenix.LiveComponent.mount/1 .","ref":"SupabaseSurface.Components.Badge.html#mount/1","title":"SupabaseSurface.Components.Badge.mount/1","type":"function"},{"doc":"","ref":"SupabaseSurface.Components.Badge.html#render_dot/1","title":"SupabaseSurface.Components.Badge.render_dot/1","type":"function"},{"doc":"Callback implementation for Phoenix.LiveComponent.update/2 .","ref":"SupabaseSurface.Components.Badge.html#update/2","title":"SupabaseSurface.Components.Badge.update/2","type":"function"},{"doc":"Basic Badges Properties id :string, required: true - The id of the live view. session :map - The request info necessary for the view, such as params, cookie session info, etc. The session is signed and stored on the client, then provided back to the server when the client connects, or reconnects to the stateful view. .","ref":"SupabaseSurface.Components.Badge.Basic.html","title":"SupabaseSurface.Components.Badge.Basic","type":"module"},{"doc":"Callback implementation for Phoenix.LiveView.mount/3 .","ref":"SupabaseSurface.Components.Badge.Basic.html#mount/3","title":"SupabaseSurface.Components.Badge.Basic.mount/3","type":"function"},{"doc":"Callback implementation for Phoenix.LiveView.render/1 .","ref":"SupabaseSurface.Components.Badge.Basic.html#render/1","title":"SupabaseSurface.Components.Badge.Basic.render/1","type":"function"},{"doc":"With Dot Properties id :string, required: true - The id of the live view. session :map - The request info necessary for the view, such as params, cookie session info, etc. The session is signed and stored on the client, then provided back to the server when the client connects, or reconnects to the stateful view. .","ref":"SupabaseSurface.Components.Badge.Dot.html","title":"SupabaseSurface.Components.Badge.Dot","type":"module"},{"doc":"Callback implementation for Phoenix.LiveView.mount/3 .","ref":"SupabaseSurface.Components.Badge.Dot.html#mount/3","title":"SupabaseSurface.Components.Badge.Dot.mount/3","type":"function"},{"doc":"Callback implementation for Phoenix.LiveView.render/1 .","ref":"SupabaseSurface.Components.Badge.Dot.html#render/1","title":"SupabaseSurface.Components.Badge.Dot.render/1","type":"function"},{"doc":"A html button with predefined sizes, types and optional link functionality. Properties html_type :string, values: [&quot;submit&quot;, &quot;button&quot;, &quot;reset&quot;], default: &quot;button&quot; - The html type of the button, e.g. 'submit', 'button' or 'reset'. aria_label :string, required: false - The aria label for the button. size :string, values: [&quot;tiny&quot;, &quot;small&quot;, &quot;medium&quot;, &quot;large&quot;, &quot;xlarge&quot;], default: &quot;tiny&quot; - The size of the button. type :string, values: [&quot;primary&quot;, &quot;default&quot;, &quot;secondary&quot;, &quot;outline&quot;, &quot;dashed&quot;, &quot;link&quot;, &quot;text&quot;], default: &quot;primary&quot; - The button type. block :boolean, default: false - Use the full width. label :string - The label for the generated &lt;button&gt; element, if no content (default slot) is provided. . to :string - The page to link to. method :atom, default: :post - The method to use when used as a link. id :string - Id to apply to the button. class :css_class - Class or classes to apply to the button. opts :keyword, default: [] - Additional attributes to add onto the generated element. disabled :boolean, default: false - If the button should be disabled. Slots default - The content of the generated &lt;button&gt; element. Events capture_click - Triggered when the component captures click. click - Triggered when the component receives click. window_focus - Triggered when the page receives focus. window_blur - Triggered when the page loses focus. focus - Triggered when the component receives focus. blur - Triggered when the component loses focus. window_keyup - Triggered when a key on the keyboard is released (window-level). window_keydown - Triggered when a key on the keyboard is pressed (window-level). keyup - Triggered when a key on the keyboard is released. keydown - Triggered when a key on the keyboard is pressed.","ref":"SupabaseSurface.Components.Button.html","title":"SupabaseSurface.Components.Button","type":"module"},{"doc":"Callback implementation for Phoenix.LiveComponent.mount/1 .","ref":"SupabaseSurface.Components.Button.html#mount/1","title":"SupabaseSurface.Components.Button.mount/1","type":"function"},{"doc":"Size You can define the size of a button using the size prop. There are tiny , small , medium , large and xlarge . The default is tiny . Properties id :string, required: true - The id of the live view. session :map - The request info necessary for the view, such as params, cookie session info, etc. The session is signed and stored on the client, then provided back to the server when the client connects, or reconnects to the stateful view. .","ref":"SupabaseSurface.Components.Button.Size.html","title":"SupabaseSurface.Components.Button.Size","type":"module"},{"doc":"Callback implementation for Phoenix.LiveView.mount/3 .","ref":"SupabaseSurface.Components.Button.Size.html#mount/3","title":"SupabaseSurface.Components.Button.Size.mount/3","type":"function"},{"doc":"Callback implementation for Phoenix.LiveView.render/1 .","ref":"SupabaseSurface.Components.Button.Size.html#render/1","title":"SupabaseSurface.Components.Button.Size.render/1","type":"function"},{"doc":"Button Types You can define the type of a button using the type prop. There are primary , secondary , default , dashed , outline , text and link . Properties id :string, required: true - The id of the live view. session :map - The request info necessary for the view, such as params, cookie session info, etc. The session is signed and stored on the client, then provided back to the server when the client connects, or reconnects to the stateful view. .","ref":"SupabaseSurface.Components.Button.Types.html","title":"SupabaseSurface.Components.Button.Types","type":"module"},{"doc":"Callback implementation for Phoenix.LiveView.mount/3 .","ref":"SupabaseSurface.Components.Button.Types.html#mount/3","title":"SupabaseSurface.Components.Button.Types.mount/3","type":"function"},{"doc":"Callback implementation for Phoenix.LiveView.render/1 .","ref":"SupabaseSurface.Components.Button.Types.html#render/1","title":"SupabaseSurface.Components.Button.Types.render/1","type":"function"},{"doc":"Properties light :boolean, default: false - If light style should be used.. orientation :string, values: [&quot;left&quot;, &quot;right&quot;, &quot;center&quot;], default: &quot;center&quot; - The orientation in case content is provided. type :string, values: [&quot;horizontal&quot;, &quot;vertical&quot;], default: &quot;horizontal&quot; - The divider type. class :css_class - CSS classes to apply to the divider. Slots default, required: false - The content.","ref":"SupabaseSurface.Components.Divider.html","title":"SupabaseSurface.Components.Divider","type":"module"},{"doc":"Callback implementation for Phoenix.LiveComponent.mount/1 .","ref":"SupabaseSurface.Components.Divider.html#mount/1","title":"SupabaseSurface.Components.Divider.mount/1","type":"function"},{"doc":"Callback implementation for Phoenix.LiveComponent.update/2 .","ref":"SupabaseSurface.Components.Divider.html#update/2","title":"SupabaseSurface.Components.Divider.update/2","type":"function"},{"doc":"Divider with content Properties id :string, required: true - The id of the live view. session :map - The request info necessary for the view, such as params, cookie session info, etc. The session is signed and stored on the client, then provided back to the server when the client connects, or reconnects to the stateful view. .","ref":"SupabaseSurface.Components.Divider.Content.html","title":"SupabaseSurface.Components.Divider.Content","type":"module"},{"doc":"Callback implementation for Phoenix.LiveView.mount/3 .","ref":"SupabaseSurface.Components.Divider.Content.html#mount/3","title":"SupabaseSurface.Components.Divider.Content.mount/3","type":"function"},{"doc":"Callback implementation for Phoenix.LiveView.render/1 .","ref":"SupabaseSurface.Components.Divider.Content.html#render/1","title":"SupabaseSurface.Components.Divider.Content.render/1","type":"function"},{"doc":"A dropdown component using alpinejs . The Dropdown defines an Alpine.js block and initializes a variable open: false indicating if the dropdown should be open. The default slot is used for the activator of the dropdown, for example a &lt;button /&gt;, which needs to add the alpine click handlers. See example below: Example &lt; Dropdown id = &quot;user-menu&quot; transition = { { enter : &quot;transition ease-out origin-top-left duration-200&quot; , enter_start : &quot;opacity-0 transform scale-90&quot; , enter_end : &quot;opacity-100 transform scale-100&quot; , leave : &quot;transition origin-top-left ease-in duration-100&quot; , leave_start : &quot;opacity-100 transform scale-100&quot; , leave_end : &quot;opacity-0 transform scale-90&quot; } } &gt; &lt; DropdownItem to = &quot;/profile&quot; &gt; &lt; DropdownItemIcon &gt; { { Heroicons.Outline . user ( class : &quot;w-4 h-4&quot; ) } } &lt; / DropdownItemIcon &gt; &lt; Typography.Text &gt; Profile &lt; / Typography.Text &gt; &lt; / DropdownItem &gt; &lt; DropdownItem to = &quot;/logout&quot; method = { { :post } } &gt; &lt; DropdownItemIcon &gt; { { Heroicons.Outline . logout ( class : &quot;w-4 h-4&quot; ) } } &lt; / DropdownItemIcon &gt; &lt; Typography.Text &gt; Logout &lt; / Typography.Text &gt; &lt; / DropdownItem &gt; &lt; Button type = &quot;link&quot; opts = { { &quot;@click&quot; : &quot;open = !open&quot; , &quot;@click.away&quot; : &quot;open = false&quot; , &quot;@keydown.escape.window&quot; : &quot;open = false&quot; } } &gt; Click me &lt; / Button &gt; &lt; / Dropdown &gt; Note: Alpine.js is used here to avoid needing a complete server roundtrip just to open the dropdown. As a result this can provide better UX. Properties transition :keyword, default: [] - Tailwind transition classes to apply to the dropdown.. side :string, values: [&quot;top&quot;, &quot;bottom&quot;, &quot;left&quot;, &quot;right&quot;], default: &quot;bottom&quot; - Where to put the dropdown. align :string, values: [&quot;start&quot;, &quot;end&quot;, &quot;center&quot;], default: &quot;center&quot; - How to align the dropdown. Slots items, required: true - The dropdown items. default, required: true - The clickable element activating the dropdown.","ref":"SupabaseSurface.Components.Dropdown.html","title":"SupabaseSurface.Components.Dropdown","type":"module"},{"doc":"Callback implementation for Phoenix.LiveComponent.mount/1 .","ref":"SupabaseSurface.Components.Dropdown.html#mount/1","title":"SupabaseSurface.Components.Dropdown.mount/1","type":"function"},{"doc":"Callback implementation for Phoenix.LiveComponent.update/2 .","ref":"SupabaseSurface.Components.Dropdown.html#update/2","title":"SupabaseSurface.Components.Dropdown.update/2","type":"function"},{"doc":"Properties id :string, required: true - The id of the live view. session :map - The request info necessary for the view, such as params, cookie session info, etc. The session is signed and stored on the client, then provided back to the server when the client connects, or reconnects to the stateful view. .","ref":"SupabaseSurface.Components.Dropdown.Menu.html","title":"SupabaseSurface.Components.Dropdown.Menu","type":"module"},{"doc":"Callback implementation for Phoenix.LiveView.mount/3 .","ref":"SupabaseSurface.Components.Dropdown.Menu.html#mount/3","title":"SupabaseSurface.Components.Dropdown.Menu.mount/3","type":"function"},{"doc":"Callback implementation for Phoenix.LiveView.render/1 .","ref":"SupabaseSurface.Components.Dropdown.Menu.html#render/1","title":"SupabaseSurface.Components.Dropdown.Menu.render/1","type":"function"},{"doc":"Properties id :string, required: true - The id of the live view. session :map - The request info necessary for the view, such as params, cookie session info, etc. The session is signed and stored on the client, then provided back to the server when the client connects, or reconnects to the stateful view. .","ref":"SupabaseSurface.Components.Dropdown.Placement.html","title":"SupabaseSurface.Components.Dropdown.Placement","type":"module"},{"doc":"Callback implementation for Phoenix.LiveView.mount/3 .","ref":"SupabaseSurface.Components.Dropdown.Placement.html#mount/3","title":"SupabaseSurface.Components.Dropdown.Placement.mount/3","type":"function"},{"doc":"Callback implementation for Phoenix.LiveView.render/1 .","ref":"SupabaseSurface.Components.Dropdown.Placement.html#render/1","title":"SupabaseSurface.Components.Dropdown.Placement.render/1","type":"function"},{"doc":"Properties to :string - When provided, the dropdown item will serve as a link using LivePatch for method :get and a &lt;button /&gt; for :post. method :atom, default: :get - The method to use when used as a link. opts :keyword, default: [] - Additional options passed to the component. class :css_class - Additional CSS class(es) to apply to the dropdown item. Slots default, required: true icon, required: false - An optional icon for this dropdown item. See DropdownItemIcon..","ref":"SupabaseSurface.Components.DropdownItem.html","title":"SupabaseSurface.Components.DropdownItem","type":"module"},{"doc":"Callback implementation for Phoenix.LiveComponent.mount/1 .","ref":"SupabaseSurface.Components.DropdownItem.html#mount/1","title":"SupabaseSurface.Components.DropdownItem.mount/1","type":"function"},{"doc":"","ref":"SupabaseSurface.Components.DropdownItem.html#render_content/1","title":"SupabaseSurface.Components.DropdownItem.render_content/1","type":"function"},{"doc":"Callback implementation for Phoenix.LiveComponent.update/2 .","ref":"SupabaseSurface.Components.DropdownItem.html#update/2","title":"SupabaseSurface.Components.DropdownItem.update/2","type":"function"},{"doc":"This component is used together with DropdownItem to add an icon to the dropdown item. Example &lt; DropdownItem to = &quot;/logout&quot; method = { { :post } } &gt; &lt; DropdownItemIcon &gt; { { Heroicons.Outline . logout ( class : &quot;w-4 h-4&quot; ) } } &lt; / DropdownItemIcon &gt; &lt; Typography.Text &gt; Logout &lt; / Typography . text &gt; &lt; / DropdownItem &gt; Slots default, required: true","ref":"SupabaseSurface.Components.DropdownItemIcon.html","title":"SupabaseSurface.Components.DropdownItemIcon","type":"module"},{"doc":"Callback implementation for Phoenix.LiveComponent.mount/1 .","ref":"SupabaseSurface.Components.DropdownItemIcon.html#mount/1","title":"SupabaseSurface.Components.DropdownItemIcon.mount/1","type":"function"},{"doc":"Callback implementation for Phoenix.LiveComponent.render/1 .","ref":"SupabaseSurface.Components.DropdownItemIcon.html#render/1","title":"SupabaseSurface.Components.DropdownItemIcon.render/1","type":"function"},{"doc":"Callback implementation for Phoenix.LiveComponent.update/2 .","ref":"SupabaseSurface.Components.DropdownItemIcon.html#update/2","title":"SupabaseSurface.Components.DropdownItemIcon.update/2","type":"function"},{"doc":"An input field that let the user enter one or multiple e-mails . Provides a wrapper for Phoenix.HTML.Form's email_input/3 function. All options passed via opts will be sent to email_input/3 , value and class can be set directly and will override anything in opts . Examples &lt; EmailInput form = &quot;user&quot; field = &quot;email&quot; opts = { { autofocus : &quot;autofocus&quot; } } &gt; Properties form :form - An identifier for the form. field :any - An identifier for the input. id :string - The id of the corresponding input field. name :string - The name of the corresponding input field. value :string - Value to pre-populated the input. class :css_class - Class or classes to apply to the input. opts :keyword, default: [] - Options list. label :string, required: true Events capture_click - Triggered when the component captures click. click - Triggered when the component receives click. window_focus - Triggered when the page receives focus. window_blur - Triggered when the page loses focus. focus - Triggered when the component receives focus. blur - Triggered when the component loses focus. window_keyup - Triggered when a key on the keyboard is released (window-level). window_keydown - Triggered when a key on the keyboard is pressed (window-level). keyup - Triggered when a key on the keyboard is released. keydown - Triggered when a key on the keyboard is pressed.","ref":"SupabaseSurface.Components.EmailInput.html","title":"SupabaseSurface.Components.EmailInput","type":"module"},{"doc":"Callback implementation for Phoenix.LiveComponent.mount/1 .","ref":"SupabaseSurface.Components.EmailInput.html#mount/1","title":"SupabaseSurface.Components.EmailInput.mount/1","type":"function"},{"doc":"Callback implementation for Phoenix.LiveComponent.render/1 .","ref":"SupabaseSurface.Components.EmailInput.html#render/1","title":"SupabaseSurface.Components.EmailInput.render/1","type":"function"},{"doc":"Callback implementation for Phoenix.LiveComponent.update/2 .","ref":"SupabaseSurface.Components.EmailInput.html#update/2","title":"SupabaseSurface.Components.EmailInput.update/2","type":"function"},{"doc":"Properties class :css_class - CSS class to pass to the svg. provider :string, values: [&quot;google&quot;, &quot;github&quot;, &quot;gitlab&quot;, &quot;bitbucket&quot;, &quot;twitter&quot;, &quot;facebook&quot;], required: true - provider.","ref":"SupabaseSurface.Components.Icons.SocialIcon.html","title":"SupabaseSurface.Components.Icons.SocialIcon","type":"module"},{"doc":"Callback implementation for Phoenix.LiveComponent.mount/1 .","ref":"SupabaseSurface.Components.Icons.SocialIcon.html#mount/1","title":"SupabaseSurface.Components.Icons.SocialIcon.mount/1","type":"function"},{"doc":"Callback implementation for Phoenix.LiveComponent.render/1 .","ref":"SupabaseSurface.Components.Icons.SocialIcon.html#render/1","title":"SupabaseSurface.Components.Icons.SocialIcon.render/1","type":"function"},{"doc":"Callback implementation for Phoenix.LiveComponent.update/2 .","ref":"SupabaseSurface.Components.Icons.SocialIcon.html#update/2","title":"SupabaseSurface.Components.Icons.SocialIcon.update/2","type":"function"},{"doc":"An input field that let the user enter a single-line text . Provides a wrapper for Phoenix.HTML.Form's text_input/3 function. All options passed via opts will be sent to text_input/3 , value and class can be set directly and will override anything in opts . Examples &lt; TextInput form = &quot;user&quot; field = &quot;name&quot; opts = { { autofocus : &quot;autofocus&quot; } } / &gt; Properties form :form - An identifier for the form. field :any - An identifier for the input. id :string - The id of the corresponding input field. name :string - The name of the corresponding input field. value :string - Value to pre-populated the input. class :css_class - Class or classes to apply to the input. opts :keyword, default: [] - Options list. label :string, required: true Events capture_click - Triggered when the component captures click. click - Triggered when the component receives click. window_focus - Triggered when the page receives focus. window_blur - Triggered when the page loses focus. focus - Triggered when the component receives focus. blur - Triggered when the component loses focus. window_keyup - Triggered when a key on the keyboard is released (window-level). window_keydown - Triggered when a key on the keyboard is pressed (window-level). keyup - Triggered when a key on the keyboard is released. keydown - Triggered when a key on the keyboard is pressed.","ref":"SupabaseSurface.Components.TextInput.html","title":"SupabaseSurface.Components.TextInput","type":"module"},{"doc":"Callback implementation for Phoenix.LiveComponent.mount/1 .","ref":"SupabaseSurface.Components.TextInput.html#mount/1","title":"SupabaseSurface.Components.TextInput.mount/1","type":"function"},{"doc":"Callback implementation for Phoenix.LiveComponent.render/1 .","ref":"SupabaseSurface.Components.TextInput.html#render/1","title":"SupabaseSurface.Components.TextInput.render/1","type":"function"},{"doc":"Callback implementation for Phoenix.LiveComponent.update/2 .","ref":"SupabaseSurface.Components.TextInput.html#update/2","title":"SupabaseSurface.Components.TextInput.update/2","type":"function"},{"doc":"Properties href :string - The url to link to. target :string, values: [&quot;_blank&quot;, &quot;_self&quot;, &quot;_parent&quot;, &quot;_top&quot;, &quot;framename&quot;], default: &quot;_blank&quot; - The target for the link. class :css_class - Additional CSS classes. opts :keyword, default: [] - Additional options passed to the element. Slots default, required: true - The link text. Events click - Click event for the link.","ref":"SupabaseSurface.Components.Typography.Link.html","title":"SupabaseSurface.Components.Typography.Link","type":"module"},{"doc":"Callback implementation for Phoenix.LiveComponent.mount/1 .","ref":"SupabaseSurface.Components.Typography.Link.html#mount/1","title":"SupabaseSurface.Components.Typography.Link.mount/1","type":"function"},{"doc":"Callback implementation for Phoenix.LiveComponent.update/2 .","ref":"SupabaseSurface.Components.Typography.Link.html#update/2","title":"SupabaseSurface.Components.Typography.Link.update/2","type":"function"},{"doc":"Properties type :atom, values: [:default, :success, :danger, :secondary, :warning] - The type (color) of the text. disabled :boolean, default: false - Apply disabled style. underline :boolean, default: false - Apply underline style. strikethrough :boolean, default: false - Apply strikethrough style. small :boolean, default: false - Apply small style. class :css_class - CSS classes to apply. html_type :string, values: [&quot;span&quot;, &quot;kbd&quot;, &quot;code&quot;, &quot;mark&quot;, &quot;strong&quot;], default: &quot;span&quot; - Which html tag to use for enclosing the tag. opts :keyword, default: [] - Additional options passed to the element. Slots default, required: true - The content.","ref":"SupabaseSurface.Components.Typography.Text.html","title":"SupabaseSurface.Components.Typography.Text","type":"module"},{"doc":"Callback implementation for Phoenix.LiveComponent.mount/1 .","ref":"SupabaseSurface.Components.Typography.Text.html#mount/1","title":"SupabaseSurface.Components.Typography.Text.mount/1","type":"function"},{"doc":"","ref":"SupabaseSurface.Components.Typography.Text.html#render_text/3","title":"SupabaseSurface.Components.Typography.Text.render_text/3","type":"function"},{"doc":"Callback implementation for Phoenix.LiveComponent.update/2 .","ref":"SupabaseSurface.Components.Typography.Text.html#update/2","title":"SupabaseSurface.Components.Typography.Text.update/2","type":"function"},{"doc":"Properties level :integer, values: [1, 2, 3, 4, 5], default: 1 - The level for the resulting heading. class :css_class - Extra CSS classes to apply. Slots default, required: true - The title content.","ref":"SupabaseSurface.Components.Typography.Title.html","title":"SupabaseSurface.Components.Typography.Title","type":"module"},{"doc":"Callback implementation for Phoenix.LiveComponent.mount/1 .","ref":"SupabaseSurface.Components.Typography.Title.html#mount/1","title":"SupabaseSurface.Components.Typography.Title.mount/1","type":"function"},{"doc":"Callback implementation for Phoenix.LiveComponent.update/2 .","ref":"SupabaseSurface.Components.Typography.Title.html#update/2","title":"SupabaseSurface.Components.Typography.Title.update/2","type":"function"},{"doc":"A plug to handle access and refresh tokens. In case access_token and refresh_token are not available in the session, it redirects to a login_endpoint . If the session already contains those tokens, it checks the expiration time of the access token. In case the token is already expired or expires in less than the (optionally provided) expiry_tolerance , it tries to refresh it. Options :login_endpoint - a endpoint to redirect to in case of invalid tokens (default: &quot;/login&quot;) :expiry_tolerance - time in seconds the access_token still has to be valid, otherwise it should be refreshed (default: 60) Examples plug SupabaseSurface.Plugs.Session, login_endpoint: &quot;/auth&quot;, expiry_tolerance: 120","ref":"SupabaseSurfaceWeb.Plugs.Session.html","title":"SupabaseSurfaceWeb.Plugs.Session","type":"module"},{"doc":"","ref":"SupabaseSurfaceWeb.Plugs.Session.html#call/2","title":"SupabaseSurfaceWeb.Plugs.Session.call/2","type":"function"},{"doc":"","ref":"SupabaseSurfaceWeb.Plugs.Session.html#init/1","title":"SupabaseSurfaceWeb.Plugs.Session.init/1","type":"function"}]